io.vertx.core.eventbus

## Class ReplyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.core.VertxException
        - - io.vertx.core.eventbus.ReplyException

- All Implemented Interfaces:
    Serializable

      public class ReplyException
      extends VertxException

  Represents the failure of a message send.

  If a message was sent specifying a reply handler and the message delivery fails, a failure will be provided to the reply handler and the cause of the failure will be an instance of this.

  Author:
    Tim Fox
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplyException(ReplyFailure failureType)` Create a ReplyException
    `ReplyException(ReplyFailure failureType, int failureCode, String message)` Create a ReplyException
    `ReplyException(ReplyFailure failureType, String message)` Create a ReplyException

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `failureCode()` Get the failure code for the message
    `ReplyFailure` | `failureType()` Get the failure type for the message
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplyException

          public ReplyException(ReplyFailure failureType,
                                int failureCode,
                                String message)

      Create a ReplyException
      Parameters:
        `failureType` - the failure type
        `failureCode` - the failure code
        `message` - the failure message

    - #### ReplyException

          public ReplyException(ReplyFailure failureType,
                                String message)

      Create a ReplyException
      Parameters:
        `failureType` - the failure type
        `message` - the failure message

    - #### ReplyException

          public ReplyException(ReplyFailure failureType)

      Create a ReplyException
      Parameters:
        `failureType` - the failure type

  - ### Method Detail

    - #### failureType

          public ReplyFailure failureType()

      Get the failure type for the message
      Returns:
        the failure type

    - #### failureCode

          public int failureCode()

      Get the failure code for the message
      Returns:
        the failure code

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`

Copyright © 2015. All Rights Reserved.